Subject: Re: What's the right way to use a *large* number of source addresses?

From: Jamal Hadi Salim <[email-masked]>
Date: Sat, 24 May 2014 08:06:41 -0400

On 05/23/14 10:14, Eric Dumazet wrote:

> Use the batch mode, and it will be much faster than ifconfig, as
> ifconfig does not support this mode (you need one fork()/exec() per IP
> address)
>
> ip -batch filename
>

The address dumping algorithm is a very likely contributor as well.
It tries to remember indices and then skips on the next iteration
all the way to where it left off.... has never been a big deal until
someone tries a substantial number of addresses.

cheers,
jamal